import { NativeModules } from 'react-native';
const {
  AesGcmCrypto
} = NativeModules;

const toUint8Array = arr => new Uint8Array(arr);

const WiredAesGcmCrypto = {
  encrypt: async (...args) => {
    const r = await AesGcmCrypto.encrypt(...args);
    return Object.getOwnPropertyNames(r).reduce((last, curr) => ({ ...last,
      [curr]: toUint8Array(r[curr])
    }), {});
  },
  decrypt: async (...args) => toUint8Array(await AesGcmCrypto.decrypt(...args)),
  encryptFile: AesGcmCrypto.encryptFile,
  decryptFile: AesGcmCrypto.decryptFile
};
export default WiredAesGcmCrypto;
//# sourceMappingURL=index.js.map